API 快速入門
ANKK 公開 API 是一個 RESTful API,可讓您使用單一品牌範圍的 API 金鑰 (spk_...) 程式化地管理多通路社群媒體運作。
📌 端點概覽
Section titled “📌 端點概覽”- 基礎 URL:
https://api.ankk.app - Swagger / 互動式文件:
https://api.ankk.app/v1/docs - OpenAPI JSON 規格:
https://api.ankk.app/v1/openapi.json
1. 檢查服務健康狀況
Section titled “1. 檢查服務健康狀況”健康檢查端點不需要身份驗證標頭。
curl https://api.ankk.app/v1/health{ "service": "api-public", "status": "ok"}2. 取得並匯出 API 金鑰
Section titled “2. 取得並匯出 API 金鑰”在網頁應用程式 (https://app.ankk.app) 中,導覽至 品牌設定 → API 金鑰 以生成金鑰,然後將其匯出:
export ANKK_API_KEY='spk_live_xxxxxxxxxxxxxxxx'3. 檢索品牌與 SNS 連線
Section titled “3. 檢索品牌與 SNS 連線”檢查品牌狀態並列出已連線的 SNS 帳號,以取得目標 connection_id。
# 1. Inspect brand detailscurl https://api.ankk.app/v1/brand \ -H "Authorization: Bearer $ANKK_API_KEY"
# 2. List connected SNS accountscurl https://api.ankk.app/v1/brand/connections \ -H "Authorization: Bearer $ANKK_API_KEY"TypeScript / JavaScript
Section titled “TypeScript / JavaScript”const API_KEY = process.env.ANKK_API_KEY;if (!API_KEY) throw new Error('Set ANKK_API_KEY');const BASE_URL = 'https://api.ankk.app/v1';
const res = await fetch(`${BASE_URL}/brand/connections`, { headers: { Authorization: `Bearer ${API_KEY}` }});if (!res.ok) throw new Error(`Connections request failed: ${res.status}`);const { items: connections } = await res.json();console.log('Connected accounts:', connections);const targetConnectionId = connections[0]?.connection_id;if (!targetConnectionId) throw new Error('Connect an SNS account first');Python
Section titled “Python”import osimport requests
API_KEY = os.environ['ANKK_API_KEY']BASE_URL = 'https://api.ankk.app/v1'
headers = {'Authorization': f'Bearer {API_KEY}'}
response = requests.get(f'{BASE_URL}/brand/connections', headers=headers)response.raise_for_status()connections = response.json().get('items', [])print(f'Connected accounts: {connections}')target_connection_id = connections[0]['connection_id'] if connections else Noneif not target_connection_id: raise RuntimeError('Connect an SNS account first')4. 發佈您的第一篇內容
Section titled “4. 發佈您的第一篇內容”提交發佈請求,並附上用戶端產生的 idempotency_key,以免重複執行。
curl -X POST "https://api.ankk.app/v1/brand/contents" \ -H "Authorization: Bearer $ANKK_API_KEY" \ -H "Content-Type: application/json" \ -d '{ "connection_id": "conn_01jm8x9k2example", "idempotency_key": "my-first-post-001", "text": "Hello World from ANKK Public API! 🚀" }'TypeScript / JavaScript
Section titled “TypeScript / JavaScript”const publishRes = await fetch(`${BASE_URL}/brand/contents`, { method: 'POST', headers: { Authorization: `Bearer ${API_KEY}`, 'Content-Type': 'application/json' }, body: JSON.stringify({ connection_id: targetConnectionId, idempotency_key: 'my-first-post-001', text: 'Hello World from TypeScript! 🚀' })});
if (publishRes.status !== 202) throw new Error(`Publish request failed: ${publishRes.status}`);const result = await publishRes.json();console.log('Publish accepted (HTTP 202):', result);Python
Section titled “Python”payload = { 'connection_id': target_connection_id, 'idempotency_key': 'my-first-post-001', 'text': 'Hello World from Python! 🚀',}
publish_res = requests.post( f'{BASE_URL}/brand/contents', headers={**headers, 'Content-Type': 'application/json'}, json=payload,)publish_res.raise_for_status()print('Publish outcome:', publish_res.json())5. 驗證發佈狀態
Section titled “5. 驗證發佈狀態”成功的請求會傳回 HTTP 202 Accepted 與 content_id。請透過下列方式確認傳送狀態:
curl "https://api.ankk.app/v1/brand/contents/$CONTENT_ID" \ -H "Authorization: Bearer $ANKK_API_KEY"